- Qt 6.8
- Qt GUI
- C++ Classes
- QAction
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QAction

The following members of class QAction are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` QList<QGraphicsWidget *> | associatedGraphicsWidgets() const
`(deprecated in 6.0)` QList<QWidget *> | associatedWidgets() const
`(deprecated in 6.0)` QWidget * | parentWidget() const

## Member Function Documentation

### `[deprecated in 6.0]` QList<QGraphicsWidget *> QAction::associatedGraphicsWidgets() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use associatedObjects() with qobject_cast() instead.

Returns a list of graphics widgets this action has been added to.

See also QGraphicsWidget::addAction(), associatedObjects(), and associatedWidgets().

### `[deprecated in 6.0]` QList<QWidget *> QAction::associatedWidgets() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use associatedObjects() with qobject_cast() instead.

Returns a list of widgets this action has been added to.

See also QWidget::addAction(), associatedObjects(), and associatedGraphicsWidgets().

### `[deprecated in 6.0]` QWidget *QAction::parentWidget() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use parent() with qobject_cast() instead.

Returns the parent widget.